# ifndef KnightTestCase_h
# define KnightTestCase_h
#include "TestHeader.h"
# include "Pieces/Knight.h"
class KnightTestCase:
  public TestCase
{
public:
  CPPUNIT_TEST_SUITE( KnightTestCase );
  CPPUNIT_TEST( moveGeneration );
  CPPUNIT_TEST( captures );
  CPPUNIT_TEST( testAttacks );
  CPPUNIT_TEST_SUITE_END();
protected:
  void moveGeneration();
  void captures();
  void testAttacks();
};
#endif
